#include "ippc_wrapper/ippc_wrapper.h"


int main(int argc, char** argv) {
    Domain domain;
    State state;
    state.read_from_file("state_simulator.dat");
    float planning_result;

    XMLServer_t mserver;
    mserver.start_session(2323);
    mserver.start_round();
    std::cout << "Sending state " << state << std::endl;
    Symbol action = mserver.get_action(state, planning_result);
    mserver.end_round();
    mserver.end_session();

    std::cout << "Obtained action " << action << "with result " << planning_result << std::endl;
    std::cout << "Finishing" << std::endl;
    return 0;
}
